# Uses of Interface
org.codehaus.commons.compiler.util.Predicate

Packages that use Predicate
Package
Description
org.codehaus.commons.compiler.util.iterator

## Uses of Predicate in org.codehaus.commons.compiler.util.iterator

Methods in org.codehaus.commons.compiler.util.iterator with parameters of type Predicate
Modifier and Type
Method
Description
`static <T> Iterable<T>`
Iterables.`filter(Iterable<? extends T> delegate, Predicate<? super T> predicate)`
`static <T> Iterator<T>`
Iterables.`filter(Iterator<? extends T> delegate, Predicate<? super T> predicate)`
`static <T> Iterable<T>`
Iterables.`filter(T[] delegate, Predicate<? super T> predicate)`